lp:ubuntu/saucy/oss-compat

Created by James Westby on 2013-04-26 and last modified on 2013-08-21
Get this branch:
bzr branch lp:ubuntu/saucy/oss-compat
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

14. By Stephen Kitt on 2013-08-21

* Remove oss-compat.conf when removing the package, so it doesn't load
  the OSS modules when configured but not installed. (Closes: #718241.)
* Remove the OSS modules when removing the package. If anything is using
  the modules, they are queued for removal as soon as they are freed.
* Switch to debhelper compat level 9.
* Only recommend osspd on Ubuntu and derivatives; suggest it on Debian
  for now (we need to get the updated prerm or drop the OSS modules from
  the kernel before transitioning to osspd).

13. By Stephen Kitt on 2013-06-18

* Use softdep directives in the modprobe configuration. (Closes:
  #660803.)
* Switch to my Debian address.
* Use canonical VCS URIs.
* Drop obsolete Lintian override for module-init-tools dependency.
* Recommend osspd, which provides OSS emulation using ALSA or PulseAudio
  (LP: #659024, #983707).
* Standards-Version 3.9.4, no further change required.

12. By Ilya Barygin on 2012-09-14

Add an alternative dependency on module-init-tools (LP: #992991).
Thanks to Stephen Kitt.

11. By Christoph Egger on 2012-03-05

[ Stephen Kitt ]
* Add VCS information.

[ Christoph Egger ]
* Team upload

* Do not depend on module-init-tools
  * On linux it's transitional for kmod anyway
  * on kfreebsd it got uninstallable due to changes in module-init-tools
    recently (and there's nothing needed on kfreebsd)
* Make package arch:any so we can simplify Depends: to kmod [linux-any]

10. By Stephen Kitt on 2012-01-15

* Switch to single-component versions.
* Declare the package is "Multi-Arch: foreign", thanks to Steve Langasek
  for the hint! (Closes: #651335.)
* Make /etc/modprobe.d/oss-compat.conf a file, handling the various
  upgrade cases, and only removing it on purge. (Closes: #649507.)
  (LP: #340873)
* Add kmod as an alternative dependency to avoid preventing
  module-init-tools' removal.

9. By Steve Langasek on 2011-12-07

releasing version 0.0.6ubuntu1

8. By Steve Langasek on 2011-12-07

call update-maintainer

7. By Steve Langasek on 2011-12-07

Mark oss-compat Multi-Arch: foreign.

6. By Bruno "Fuddl" Kleinert <email address hidden> on 2011-06-08

* Team upload.
* Re-upload without changes, because the last binary upload changed the
  Maintainer field to myself by accident, which made the package look
  hijacked.

5. By Stephen Kitt on 2011-06-06

* New maintainer. (Closes: #594376.)
* Only modprobe snd. (Closes: #390747.)
* Update copyright file, switch to DEP-5 format.
* Drop obsolete modutils dependency.
* Switch to dh7 short form.
* Specify source format "3.0 (native)".
* Override depends-on-essential-package-without-using-version
  explicitly; the dependencies allow this package to be installed on
  hurd.
* Standards-Version 3.9.2, no further change required.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.

Subscribers